#
# spec file for package pcb (Version 1.6.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         pcb
Copyright:    GPL
Group:        X11/Applications
URL:          http://bach.ece.jhu.edu/~haceaton/pcb/
Provides:     pcb 
Autoreqprov:  on
Version:      1.6.3
Release:      339
Summary:      Interactive printed circuit board design
Source:       http://bach.ece.jhu.edu/~haceaton/pcb/pcb-%{version}.tar.bz2
Patch:        pcb-%{version}.dif
Patch1:       pcb-1.6.3-texi.patch
Patch2:       pcb-1.6.3-ia64.patch
Patch3:       pcb-1.6.3-imake.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Pcb is a handy tool for the X Window System built to design
printed circuit boards. All coordinate units are 1/1000 inch.
For details see the manual which can be found under
/usr/share/doc/packages/pcb. There is also a man page available.

Authors:
--------
    Thomas Nau <Thomas.Nau@rz.uni-ulm.de>

SuSE series: xap

%prep
%setup
%patch
%patch1
%patch2
%patch3

%build
xmkmf -a
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install
make -C doc DESTDIR="$RPM_BUILD_ROOT" install.man
make DESTDIR="$RPM_BUILD_ROOT" INFODIR=%{_infodir} install.info
chmod 644 example/*

%files
%doc README_FILES/* doc/*.ps doc/*.html
%doc example
/usr/X11R6/bin/pcb
/usr/X11R6/lib/X11/pcb
%config /usr/X11R6/lib/X11/app-defaults/Pcb
%doc /usr/X11R6/man/man1/pcb.1x.gz
%doc %{_infodir}/pcb.info.gz

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n pcb
* Tue Jun 12 2001 - nadvornik@suse.cz
- used ComplexProgramTargetNoMan in Imakefile
* Wed May 23 2001 - schwab@suse.de
- Fix misunderstanding of the X error processing.
* Wed May 16 2001 - nadvornik@suse.cz
- fixed cast warnings on ia64
* Tue Apr 17 2001 - nadvornik@suse.cz
- fixed texinfo documentation
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Sep 29 2000 - ro@suse.de
- make it build
* Wed May 03 2000 - nadvornik@suse.cz
- back to 1.6.3 (1.7 isn't stable)
- fixed doc files
* Fri Apr 21 2000 - nadvornik@suse.cz
- added URL
- fixed group tag
* Thu Mar 16 2000 - nadvornik@suse.cz
- fixed neededforbuild
* Fri Mar 10 2000 - nadvornik@suse.cz
- upgrade to version 1.7
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 28 1999 - ro@suse.de
- update to 1.6.3
- fix to build on alpha
* Tue Nov 10 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
* Wed Oct 08 1997 - rj@suse.de
- new version 1.5.3.ALPHA now works with (a)build
* Thu Jan 02 1997 - rj@suse.de
- new version 1.4.3 (bugfixes in lib-handling)
* Thu Jan 02 1997 - rj@suse.de
- new version 1.4.2 (new features/bugfixes)
- correction in permissions
- version (1.4.1)
- changes against version 1.3:
- improved bufferhandling
- library management
- SMD-support
